/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008-2016 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                               version 10.0.0             *
*********************************************************************************
* Id: windowplayer.h,                                2008/01/01                 *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/
#ifndef WINDOWPLAYER_H
#define WINDOWPLAYER_H

#include <fx.h>
#include <signal.h>


class WindowPlayer : public FXTopWindow {
	FXDECLARE(WindowPlayer)

public:
	WindowPlayer(){};
	WindowPlayer(const WindowPlayer&){};

public:
	WindowPlayer(FXApp* a,const FXString& name,FXIcon *ic=NULL,FXIcon *mi=NULL,FXuint opts=DECOR_ALL,FXint x=0,FXint y=0,FXint w=0,FXint h=0,FXint pl=0,FXint pr=0,FXint pt=0,FXint pb=0,FXint hs=0,FXint vs=0);
	virtual void create();
	virtual ~WindowPlayer();

public:
        int64_t getWindowID() { return WindowPlayer::id(); }
        FXbool getWindowsShown() { return WindowPlayer::shown(); }
        void setWindowsShowScreen() { WindowPlayer::show(PLACEMENT_SCREEN); }
        void setWindowsHide() { WindowPlayer::hide(); }
        void setWindowsRaise() { WindowPlayer::raise(); }

public:	
	long onCmd_WindowHide(FXObject *,FXSelector,void *);
	long onCmd_Quit(FXObject *,FXSelector,void *);
	
public:
    enum{
   	ID_QUIT = FXMainWindow::ID_LAST,
	ID_WINDOWHIDE,
	ID_LAST,
    };

};

#endif
